<?php

/**
 * consol_aportes_autoliq_func actions.
 *
 * @package    nomina
 * @subpackage consol_aportes_autoliq_func
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class consol_aportes_autoliq_funcActions extends sfActions {

    /**
     * Executes list action
     *
     * @param sfRequest $request A request object
     */
    public function executeList(sfWebRequest $request) {

        //Revisar que sea post
        //$this->forward404Unless($request->isMethod('post'));
        //Guardar los parametros del request en el log
        $this->logMessage("---BEGIN Logging request");
        foreach ($request->getPostParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("--------------------------------------------------*  Ip: " . $_SERVER['REMOTE_ADDR']);
        foreach ($request->getGetParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("---END Logging request");

        /*
         * Paginacion
         */
        if (isset($request['_startRow'])) {
            $rowStart = $request['_startRow'];
        } else {
            $rowStart = 0;
        }

        if (isset($request['_endRow'])) {
            $rowEnd = $request['_endRow'];
        } else {
            $rowEnd = 75;
        }

        //ordenar consulta
        if (isset($request['_sortBy'])) {
            $sortBy = " Order by " . $request['_sortBy'];
        } else {
            $sortBy = ' ORDER BY tab0.num_doc, clafon.codigo ';
        }


        /*
         * Manejo de errores
         */
        try {
            /*
             * Variables obligatorias
             */
            //$periodo_filtro = $request['id_periodo_filtro'];
            $id_anhos = $request['id_anhos'];
            $periodo = $request['id_periodo'];

            /*
             * Variables opcionales
             */
            //funcionario
            if (isset($request['num_doc'])) {
                $whereFuncionarioNumDoc = " AND tab0.num_doc = " . $request['num_doc'];
            } else {
                $whereFuncionarioNumDoc = ' ';
            }
            //funcionario
            if (isset($request['id_tipo_doc'])) {
                $whereFuncionarioTipoDoc = " AND tab0.id_tipo_doc = " . $request['id_tipo_doc'];
            } else {
                $whereFuncionarioTipoDoc = ' ';
            }
            //Clase Fondo
            if (isset($request['id_clase_fondo'])) {
                $whereClaseFondo = " AND tab0.id_clase_fondo = " . $request['id_clase_fondo'];
            } else {
                $whereClaseFondo = ' ';
            }
            //MaestroFondos
            if (isset($request['id_mae_fondos'])) {
                $whereMaestroFondos = " AND tab0.id_mae_fondos = " . $request['id_mae_fondos'];
            } else {
                $whereMaestroFondos = ' ';
            }
            //clase planta - sin clase planta
            if (isset($request['id_clase_planta'])) {
                $whereClasePlanta = " AND tab0.id_clase_planta = " . $request['id_clase_planta'];
                $whereClasePlanta = ' ';
            } else {
                $whereClasePlanta = ' ';
            }

            //sentencia sql
            $sql = <<<EOD
ALTER SESSION SET NLS_DATE_FORMAT = "YYYY-MM-DD"
EOD;
            //ejecuta y obtiene el resultado del sql
            CN_TABLE::executeSQL($sql);

            /*
             * sql que trae los resultados
             * por los filtros, para totalizar las filas
             * Filtro de conceptos para pago . and concep.pago_func = 1 - 20140428
             */
            $sql = <<<EOD
select count(*) as count from (

select
tab0.num_doc || ' - ' || dat.nombre_apellido as completo_funcionario,
tab0.num_doc,
tab0.id_tipo_doc,
dat.nombre_apellido,
tab0.id_anhos,
--tab0.id_meses,
count(distinct tab0.num_doc) as cantidad,
count(clafon.codigo) as cantidad_clafon,
--tab0.id_periodo,
tab0.id_clase_fondo,
clafon.codigo as codigo_clafon,
clafon.descripcion,
clafon.codigo || ' - ' || clafon.descripcion as completo_clafon,
tab0.id_descuento_ss,
descss.descripcion as aporte_ss,
--tab0.id_mae_fondos,
--tab0.codigo, tab0.fondo,
--tab0.num_doc_mae,
/*
sum( nvl( tab0.APORTE_FUNC_PENSION ,0) ) APORTE_FUNC_PENSION,
sum( nvl( tab0.APORTE_PATRONO_PENSION ,0) ) APORTE_PATRONO_PENSION,
sum( nvl( tab0.TOTAL_PENSION ,0) ) TOTAL_PENSION,
sum( nvl( tab0.APORTE_FUNC_SALUD ,0) ) APORTE_FUNC_SALUD,
sum( nvl( tab0.APORTE_PATRONO_SALUD ,0) ) APORTE_PATRONO_SALUD,
sum( nvl( tab0.TOTAL_SALUD ,0) ) TOTAL_SALUD,
sum( nvl( tab0.UPC_ADICIO ,0) ) UPC_ADICIO,
sum( nvl( tab0.APORTE_PATRONO_ARP ,0) ) APORTE_PATRONO_ARP,
sum( nvl( tab0.TOTAL_ARP ,0) ) TOTAL_ARP,
sum( nvl( tab0.PARAFISCALES ,0) ) PARAFISCALES,
sum( nvl( tab0.TOTAL_EMPLEADO ,0) ) TOTAL_EMPLEADO,
sum( nvl( tab0.TOTAL_APORTES ,0) ) TOTAL_APORTES,
(select distinct periodo.periodo from no_liquida_v periodo where periodo.id_periodo = tab0.id_periodo) AS PERIODO,
(select distinct periodo.tipper from no_liquida_v periodo where periodo.id_periodo = tab0.id_periodo) AS TIPPER,*/

sum( tab0.valor_enero_func) as valor_enero_func,
sum( tab0.valor_febrero_func) as valor_febrero_func,
sum( tab0.valor_marzo_func) as valor_marzo_func,
sum( tab0.valor_abril_func) as valor_abril_func,
sum( tab0.valor_mayo_func) as valor_mayo_func,
sum( tab0.valor_junio_func) as valor_junio_func,
sum( tab0.valor_julio_func) as valor_julio_func,
sum( tab0.valor_agosto_func) as valor_agosto_func,
sum( tab0.valor_septiembre_func) as valor_septiembre_func,
sum( tab0.valor_octubre_func) as valor_octubre_func,
sum( tab0.valor_noviembre_func) as valor_noviembre_func,
sum( tab0.valor_diciembre_func) as valor_diciembre_func,
sum( tab0.valor_total_func) as valor_total_func,

sum( tab0.valor_enero_patrono) as valor_enero_patrono,
sum( tab0.valor_febrero_patrono) as valor_febrero_patrono,
sum( tab0.valor_marzo_patrono) as valor_marzo_patrono,
sum( tab0.valor_abril_patrono) as valor_abril_patrono,
sum( tab0.valor_mayo_patrono) as valor_mayo_patrono,
sum( tab0.valor_junio_patrono) as valor_junio_patrono,
sum( tab0.valor_julio_patrono) as valor_julio_patrono,
sum( tab0.valor_agosto_patrono) as valor_agosto_patrono,
sum( tab0.valor_septiembre_patrono) as valor_septiembre_patrono,
sum( tab0.valor_octubre_patrono) as valor_octubre_patrono,
sum( tab0.valor_noviembre_patrono) as valor_noviembre_patrono,
sum( tab0.valor_diciembre_patrono) as valor_diciembre_patrono,
sum( tab0.valor_total_patrono) as valor_total_patrono,

sum( nvl(tab0.valor_total_func,0) ) + sum( nvl(tab0.valor_total_patrono,0) ) as valor_total,

sum( nvl(tab0.tarifa_enero,0) ) as tarifa_enero,    
sum( nvl(tab0.valor_base_enero,0) ) as valor_base_enero,    
sum( nvl(tab0.num_dias_enero,0) )as num_dias_enero,

sum( nvl(tab0.tarifa_febrero,0) ) as tarifa_febrero,    
sum( nvl(tab0.valor_base_febrero,0) ) as valor_base_febrero,    
sum( nvl(tab0.num_dias_febrero,0) )as num_dias_febrero,

sum( nvl(tab0.tarifa_marzo,0) ) as tarifa_marzo,    
sum( nvl(tab0.valor_base_marzo,0) ) as valor_base_marzo,    
sum( nvl(tab0.num_dias_marzo,0) )as num_dias_marzo,

sum( nvl(tab0.tarifa_abril,0) ) as tarifa_abril,    
sum( nvl(tab0.valor_base_abril,0) ) as valor_base_abril,    
sum( nvl(tab0.num_dias_abril,0) )as num_dias_abril,

sum( nvl(tab0.tarifa_mayo,0) ) as tarifa_mayo,    
sum( nvl(tab0.valor_base_mayo,0) ) as valor_base_mayo,    
sum( nvl(tab0.num_dias_mayo,0) )as num_dias_mayo,

sum( nvl(tab0.tarifa_junio,0) ) as tarifa_junio,    
sum( nvl(tab0.valor_base_junio,0) ) as valor_base_junio,    
sum( nvl(tab0.num_dias_junio,0) )as num_dias_junio,

sum( nvl(tab0.tarifa_julio,0) ) as tarifa_julio,    
sum( nvl(tab0.valor_base_julio,0) ) as valor_base_julio,    
sum( nvl(tab0.num_dias_julio,0) )as num_dias_julio,

sum( nvl(tab0.tarifa_agosto,0) ) as tarifa_agosto,    
sum( nvl(tab0.valor_base_agosto,0) ) as valor_base_agosto,    
sum( nvl(tab0.num_dias_agosto,0) )as num_dias_agosto,

sum( nvl(tab0.tarifa_septiembre,0) ) as tarifa_septiembre,    
sum( nvl(tab0.valor_base_septiembre,0) ) as valor_base_septiembre,    
sum( nvl(tab0.num_dias_septiembre,0) )as num_dias_septiembre,

sum( nvl(tab0.tarifa_octubre,0) ) as tarifa_octubre,    
sum( nvl(tab0.valor_base_octubre,0) ) as valor_base_octubre,    
sum( nvl(tab0.num_dias_octubre,0) )as num_dias_octubre,

sum( nvl(tab0.tarifa_noviembre,0) ) as tarifa_noviembre,    
sum( nvl(tab0.valor_base_noviembre,0) ) as valor_base_noviembre,    
sum( nvl(tab0.num_dias_noviembre,0) )as num_dias_noviembre,

sum( nvl(tab0.tarifa_diciembre,0) ) as tarifa_diciembre,    
sum( nvl(tab0.valor_base_diciembre,0) ) as valor_base_diciembre,    
sum( nvl(tab0.num_dias_diciembre,0) )as num_dias_diciembre, 

max( tab0.fondo_enero ) as fondo_enero,
max( tab0.fondo_febrero ) as fondo_febrero,
max( tab0.fondo_marzo ) as fondo_marzo,
max( tab0.fondo_abril ) as fondo_abril,
max( tab0.fondo_mayo ) as fondo_mayo,
max( tab0.fondo_junio ) as fondo_junio,
max( tab0.fondo_julio ) as fondo_julio,
max( tab0.fondo_agosto ) as fondo_agosto,
max( tab0.fondo_septiembre ) as fondo_septiembre,
max( tab0.fondo_octubre ) as fondo_octubre,
max( tab0.fondo_noviembre ) as fondo_noviembre,
max( tab0.fondo_diciembre ) as fondo_diciembre

FROM(

    SELECT
    tab3.id_anhos,
    tab3.id_meses,
    tab3.id_periodo,tab3.id_clase_fondo,
    tab3.id_mae_fondos,
    tab3.codigo,tab3.fondo,
    tab3.num_doc,
    tab3.id_tipo_doc,
    tab3.num_doc_mae,
    tab3.id_descuento_ss,

    /*tab3.APORTE_FUNC_PENSION,
    tab3.APORTE_PATRONO_PENSION,
    tab3.TOTAL_PENSION,
    tab3.APORTE_FUNC_SALUD,
    tab3.APORTE_PATRONO_SALUD,
    tab3.TOTAL_SALUD,
    tab3.UPC_ADICIO,
    tab3.APORTE_PATRONO_ARP,
    tab3.TOTAL_ARP,
    tab3.PARAFISCALES,
    ( nvl( tab3.APORTE_FUNC_PENSION ,0)  +  nvl( tab3.APORTE_FUNC_SALUD ,0) ) AS TOTAL_EMPLEADO,
    ( nvl( tab3.TOTAL_PENSION ,0)  +  nvl( tab3.TOTAL_SALUD ,0)  +  nvl( tab3.TOTAL_ARP ,0) +  nvl( tab3.PARAFISCALES ,0) ) AS TOTAL_APORTES,*/

    nvl( case when tab3.id_meses = 1 then nvl( tab3.aporte_func,0) else null end ,0) as valor_enero_func,
    nvl( case when tab3.id_meses = 2 then nvl( tab3.aporte_func,0) else null end ,0) as valor_febrero_func,
    nvl( case when tab3.id_meses = 3 then nvl( tab3.aporte_func,0) else null end ,0) as valor_marzo_func,
    nvl( case when tab3.id_meses = 4 then nvl( tab3.aporte_func,0) else null end ,0) as valor_abril_func,
    nvl( case when tab3.id_meses = 5 then nvl( tab3.aporte_func,0) else null end ,0) as valor_mayo_func,
    nvl( case when tab3.id_meses = 6 then nvl( tab3.aporte_func,0) else null end ,0) as valor_junio_func,
    nvl( case when tab3.id_meses = 7 then nvl( tab3.aporte_func,0) else null end ,0) as valor_julio_func,
    nvl( case when tab3.id_meses = 8 then nvl( tab3.aporte_func,0) else null end ,0) as valor_agosto_func,
    nvl( case when tab3.id_meses = 9 then nvl( tab3.aporte_func,0) else null end ,0) as valor_septiembre_func,
    nvl( case when tab3.id_meses = 10 then nvl( tab3.aporte_func,0) else null end ,0) as valor_octubre_func,
    nvl( case when tab3.id_meses = 11 then nvl( tab3.aporte_func,0) else null end ,0) as valor_noviembre_func,
    nvl( case when tab3.id_meses = 12 then nvl( tab3.aporte_func,0) else null end ,0) as valor_diciembre_func,
    nvl( tab3.aporte_func,0) as valor_total_func,

    nvl( case when tab3.id_meses = 1 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_enero_patrono,
    nvl( case when tab3.id_meses = 2 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_febrero_patrono,
    nvl( case when tab3.id_meses = 3 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_marzo_patrono,
    nvl( case when tab3.id_meses = 4 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_abril_patrono,
    nvl( case when tab3.id_meses = 5 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_mayo_patrono,
    nvl( case when tab3.id_meses = 6 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_junio_patrono,
    nvl( case when tab3.id_meses = 7 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_julio_patrono,
    nvl( case when tab3.id_meses = 8 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_agosto_patrono,
    nvl( case when tab3.id_meses = 9 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_septiembre_patrono,
    nvl( case when tab3.id_meses = 10 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_octubre_patrono,
    nvl( case when tab3.id_meses = 11 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_noviembre_patrono,
    nvl( case when tab3.id_meses = 12 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_diciembre_patrono,
    nvl( tab3.aporte_patrono,0) as valor_total_patrono,
    
    nvl( case when tab3.id_meses = 1 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_enero,    
    nvl( case when tab3.id_meses = 1 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_enero,    
    nvl( case when tab3.id_meses = 1 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_enero,
    
    nvl( case when tab3.id_meses = 2 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_febrero,    
    nvl( case when tab3.id_meses = 2 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_febrero,    
    nvl( case when tab3.id_meses = 2 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_febrero,
    
    nvl( case when tab3.id_meses = 3 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_marzo,    
    nvl( case when tab3.id_meses = 3 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_marzo,
    nvl( case when tab3.id_meses = 3 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_marzo,
    
    nvl( case when tab3.id_meses = 4 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_abril,    
    nvl( case when tab3.id_meses = 4 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_abril,    
    nvl( case when tab3.id_meses = 4 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_abril,
    
    nvl( case when tab3.id_meses = 5 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_mayo,    
    nvl( case when tab3.id_meses = 5 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_mayo,    
    nvl( case when tab3.id_meses = 5 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_mayo,
    
    nvl( case when tab3.id_meses = 6 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_junio,    
    nvl( case when tab3.id_meses = 6 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_junio,    
    nvl( case when tab3.id_meses = 6 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_junio,
    
    nvl( case when tab3.id_meses = 7 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_julio,    
    nvl( case when tab3.id_meses = 7 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_julio,    
    nvl( case when tab3.id_meses = 7 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_julio,
    
    nvl( case when tab3.id_meses = 8 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_agosto,    
    nvl( case when tab3.id_meses = 8 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_agosto,    
    nvl( case when tab3.id_meses = 8 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_agosto,
    
    nvl( case when tab3.id_meses = 9 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_septiembre,    
    nvl( case when tab3.id_meses = 9 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_septiembre,    
    nvl( case when tab3.id_meses = 9 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_septiembre,
    
    nvl( case when tab3.id_meses = 10 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_octubre,    
    nvl( case when tab3.id_meses = 10 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_octubre,    
    nvl( case when tab3.id_meses = 10 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_octubre,
    
    nvl( case when tab3.id_meses = 11 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_noviembre,    
    nvl( case when tab3.id_meses = 11 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_noviembre,    
    nvl( case when tab3.id_meses = 11 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_noviembre,
    
    nvl( case when tab3.id_meses = 12 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_diciembre,    
    nvl( case when tab3.id_meses = 12 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_diciembre,    
    nvl( case when tab3.id_meses = 12 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_diciembre,
    
    case when tab3.id_meses = 1 then tab3.codigo || '-' || tab3.fondo else null end as fondo_enero,
    case when tab3.id_meses = 2 then tab3.codigo || '-' || tab3.fondo else null end as fondo_febrero,
    case when tab3.id_meses = 3 then tab3.codigo || '-' || tab3.fondo else null end as fondo_marzo,
    case when tab3.id_meses = 4 then tab3.codigo || '-' || tab3.fondo else null end as fondo_abril,
    case when tab3.id_meses = 5 then tab3.codigo || '-' || tab3.fondo else null end as fondo_mayo,
    case when tab3.id_meses = 6 then tab3.codigo || '-' || tab3.fondo else null end as fondo_junio,
    case when tab3.id_meses = 7 then tab3.codigo || '-' || tab3.fondo else null end as fondo_julio,
    case when tab3.id_meses = 8 then tab3.codigo || '-' || tab3.fondo else null end as fondo_agosto,
    case when tab3.id_meses = 9 then tab3.codigo || '-' || tab3.fondo else null end as fondo_septiembre,
    case when tab3.id_meses = 10 then tab3.codigo || '-' || tab3.fondo else null end as fondo_octubre,
    case when tab3.id_meses = 11 then tab3.codigo || '-' || tab3.fondo else null end as fondo_noviembre,
    case when tab3.id_meses = 12 then tab3.codigo || '-' || tab3.fondo else null end as fondo_diciembre
    
    FROM(

        select
        per.id_anhos,
        per.id_meses,
        tab1.id_periodo as id_periodo,
        tab1.id_clase_fondo,
        tab2.id_mae_fondos,
        tab2.codigo as codigo,
        tab1.num_doc,
        tab1.id_tipo_doc,
        tab2.num_doc as num_doc_mae,
        tab2.razon_social AS FONDO,
        case when tab1.id_clase_fondo =1 then tab1.aporte_func
        when tab1.id_clase_fondo = 2 then 0
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS APORTE_FUNC_PENSION,
        case when tab1.id_clase_fondo =1 then tab1.aporte_patrono + tab1.aporte_patrono_licnorem
        when tab1.id_clase_fondo = 2 then 0
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS APORTE_PATRONO_PENSION,
        case when tab1.id_clase_fondo =1 then tab1.aporte_patrono+tab1.aporte_func + tab1.aporte_patrono_licnorem
        when tab1.id_clase_fondo = 2 then 0
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS TOTAL_PENSION,

        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then tab1.aporte_func
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS APORTE_FUNC_SALUD,
        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then tab1.aporte_patrono + tab1.aporte_patrono_licnorem
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS APORTE_PATRONO_SALUD,
        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then tab1.aporte_patrono+tab1.aporte_func+tab1.upc_adicio + tab1.aporte_patrono_licnorem
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS TOTAL_SALUD,

        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then tab1.upc_adicio
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS UPC_ADICIO,

        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then 0
        when tab1.id_clase_fondo = 3 then tab1.aporte_patrono
        else 0 end AS APORTE_PATRONO_ARP,

        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then 0
        when tab1.id_clase_fondo = 3 then tab1.aporte_patrono
        else 0 end AS TOTAL_ARP,

        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then 0
        when tab1.id_clase_fondo = 3 then 0
        else tab1.aporte_patrono end AS PARAFISCALES,


        tab1.aporte_patrono,
        tab1.aporte_func,
        tab1.upc_adicio as upc_adicional,
        tab1.aporte_patrono_licnorem,
        nvl(foncon.id_descuento_ss,4) as id_descuento_ss,
        tab1.tarifa,
        tab1.valor_base,
        tab1.num_dias


        from no_liquida_aporte tab1

        join no_periodo per
        on per.id_periodo = tab1.id_periodo

        left join no_mae_fondos tab2 ON tab2.id_mae_fondos = tab1.id_mae_fondos
        
        left join no_fondo_concepto foncon on foncon.id_mae_fondos = tab2.id_mae_fondos and foncon.id_concep_nomina = tab1.id_concep_nomina
        /*            
        left join (

           select nom.*,
           case when tab.num_doc is not null then 1 else 0 end as pago
           from no_nombramiento_v nom

           left join (select distinct
           pago.id_tipo_doc,
           pago.num_doc
           from no_pago_func pago
           where
           (select fecha_fin from no_periodo where id_periodo = 217) between pago.fecha_activacion and nvl(pago.fecha_terminacion, (select fecha_fin from no_periodo where id_periodo = 217))
           )tab
           on tab.id_tipo_doc = nom.id_tipo_doc and tab.num_doc = nom.num_doc

        )tab0
        on tab0.id_tipo_doc = tab1.id_tipo_doc and tab0.num_doc = tab1.num_doc
        */
        --Se toman solo aportes tipo A - 20140825

        where
        tab1.tipo_planilla = 'A'
        and per.id_anhos = $id_anhos
        $whereClasePlanta

    )tab3

)tab0

join no_clase_fondo clafon
on tab0.id_clase_fondo = clafon.id_clase_fondo

join no_datos_funcionario_v dat
on dat.num_doc = tab0.num_doc
and dat.id_tipo_doc = tab0.id_tipo_doc

left join no_descuento_ss descss
on descss.id_descuento_ss = tab0.id_descuento_ss

where 
tab0.id_anhos = $id_anhos
$whereClaseFondo $whereFuncionarioTipoDoc $whereFuncionarioNumDoc

group by
tab0.id_anhos,
--tab0.id_meses,
--tab0.id_periodo,
tab0.id_clase_fondo,
clafon.codigo,
clafon.descripcion,
--tab0.id_mae_fondos,
--tab0.num_doc_mae,
--tab0.codigo, tab0.fondo,
tab0.num_doc,
tab0.id_tipo_doc,
dat.nombre_apellido,
tab0.id_descuento_ss,
descss.descripcion

)
EOD;


            $total_record_count = CN_TABLE::executeSQL($sql);
            $total_record_count = $total_record_count[0]["count"];


            /*
             * Filtro de conceptos para pago . and concep.pago_func = 1 - 20140428
             * Por favor revisar el informe de PRENOMINA,  para que presente toda la información del periodo liquidado  
             * sin validaciones de estado de funcionario.  Debe aplicar únicamente los filtros que tenga la funcionalidad y que se seleccionen. - 20141201
             */
            //obtener el listado de recaudos
            $sql = <<<EOD
SELECT * FROM ( SELECT row_.*, ROWNUM rownum_ FROM (

select

tab0.num_doc || ' - ' || dat.nombre_apellido as completo_funcionario,
tab0.num_doc,
tab0.id_tipo_doc,
dat.nombre_apellido,
tab0.id_anhos,
--tab0.id_meses,
count(distinct tab0.num_doc) as cantidad,
count(clafon.codigo) as cantidad_clafon,
--tab0.id_periodo,
tab0.id_clase_fondo,
clafon.codigo as codigo_clafon,
clafon.descripcion,
clafon.codigo || ' - ' || clafon.descripcion as completo_clafon,
tab0.id_descuento_ss,
descss.descripcion as aporte_ss,
--tab0.id_mae_fondos,
--tab0.codigo, tab0.fondo,
--tab0.num_doc_mae,
/*
sum( nvl( tab0.APORTE_FUNC_PENSION ,0) ) APORTE_FUNC_PENSION,
sum( nvl( tab0.APORTE_PATRONO_PENSION ,0) ) APORTE_PATRONO_PENSION,
sum( nvl( tab0.TOTAL_PENSION ,0) ) TOTAL_PENSION,
sum( nvl( tab0.APORTE_FUNC_SALUD ,0) ) APORTE_FUNC_SALUD,
sum( nvl( tab0.APORTE_PATRONO_SALUD ,0) ) APORTE_PATRONO_SALUD,
sum( nvl( tab0.TOTAL_SALUD ,0) ) TOTAL_SALUD,
sum( nvl( tab0.UPC_ADICIO ,0) ) UPC_ADICIO,
sum( nvl( tab0.APORTE_PATRONO_ARP ,0) ) APORTE_PATRONO_ARP,
sum( nvl( tab0.TOTAL_ARP ,0) ) TOTAL_ARP,
sum( nvl( tab0.PARAFISCALES ,0) ) PARAFISCALES,
sum( nvl( tab0.TOTAL_EMPLEADO ,0) ) TOTAL_EMPLEADO,
sum( nvl( tab0.TOTAL_APORTES ,0) ) TOTAL_APORTES,
(select distinct periodo.periodo from no_liquida_v periodo where periodo.id_periodo = tab0.id_periodo) AS PERIODO,
(select distinct periodo.tipper from no_liquida_v periodo where periodo.id_periodo = tab0.id_periodo) AS TIPPER,*/

sum( tab0.valor_enero_func) as valor_enero_func,
sum( tab0.valor_febrero_func) as valor_febrero_func,
sum( tab0.valor_marzo_func) as valor_marzo_func,
sum( tab0.valor_abril_func) as valor_abril_func,
sum( tab0.valor_mayo_func) as valor_mayo_func,
sum( tab0.valor_junio_func) as valor_junio_func,
sum( tab0.valor_julio_func) as valor_julio_func,
sum( tab0.valor_agosto_func) as valor_agosto_func,
sum( tab0.valor_septiembre_func) as valor_septiembre_func,
sum( tab0.valor_octubre_func) as valor_octubre_func,
sum( tab0.valor_noviembre_func) as valor_noviembre_func,
sum( tab0.valor_diciembre_func) as valor_diciembre_func,
sum( tab0.valor_total_func) as valor_total_func,

sum( tab0.valor_enero_patrono) as valor_enero_patrono,
sum( tab0.valor_febrero_patrono) as valor_febrero_patrono,
sum( tab0.valor_marzo_patrono) as valor_marzo_patrono,
sum( tab0.valor_abril_patrono) as valor_abril_patrono,
sum( tab0.valor_mayo_patrono) as valor_mayo_patrono,
sum( tab0.valor_junio_patrono) as valor_junio_patrono,
sum( tab0.valor_julio_patrono) as valor_julio_patrono,
sum( tab0.valor_agosto_patrono) as valor_agosto_patrono,
sum( tab0.valor_septiembre_patrono) as valor_septiembre_patrono,
sum( tab0.valor_octubre_patrono) as valor_octubre_patrono,
sum( tab0.valor_noviembre_patrono) as valor_noviembre_patrono,
sum( tab0.valor_diciembre_patrono) as valor_diciembre_patrono,
sum( tab0.valor_total_patrono) as valor_total_patrono,

sum( nvl(tab0.valor_total_func,0) ) + sum( nvl(tab0.valor_total_patrono,0) ) as valor_total,

sum( nvl(tab0.tarifa_enero,0) ) as tarifa_enero,    
sum( nvl(tab0.valor_base_enero,0) ) as valor_base_enero,    
sum( nvl(tab0.num_dias_enero,0) )as num_dias_enero,

sum( nvl(tab0.tarifa_febrero,0) ) as tarifa_febrero,    
sum( nvl(tab0.valor_base_febrero,0) ) as valor_base_febrero,    
sum( nvl(tab0.num_dias_febrero,0) )as num_dias_febrero,

sum( nvl(tab0.tarifa_marzo,0) ) as tarifa_marzo,    
sum( nvl(tab0.valor_base_marzo,0) ) as valor_base_marzo,    
sum( nvl(tab0.num_dias_marzo,0) )as num_dias_marzo,

sum( nvl(tab0.tarifa_abril,0) ) as tarifa_abril,    
sum( nvl(tab0.valor_base_abril,0) ) as valor_base_abril,    
sum( nvl(tab0.num_dias_abril,0) )as num_dias_abril,

sum( nvl(tab0.tarifa_mayo,0) ) as tarifa_mayo,    
sum( nvl(tab0.valor_base_mayo,0) ) as valor_base_mayo,    
sum( nvl(tab0.num_dias_mayo,0) )as num_dias_mayo,

sum( nvl(tab0.tarifa_junio,0) ) as tarifa_junio,    
sum( nvl(tab0.valor_base_junio,0) ) as valor_base_junio,    
sum( nvl(tab0.num_dias_junio,0) )as num_dias_junio,

sum( nvl(tab0.tarifa_julio,0) ) as tarifa_julio,    
sum( nvl(tab0.valor_base_julio,0) ) as valor_base_julio,    
sum( nvl(tab0.num_dias_julio,0) )as num_dias_julio,

sum( nvl(tab0.tarifa_agosto,0) ) as tarifa_agosto,    
sum( nvl(tab0.valor_base_agosto,0) ) as valor_base_agosto,    
sum( nvl(tab0.num_dias_agosto,0) )as num_dias_agosto,

sum( nvl(tab0.tarifa_septiembre,0) ) as tarifa_septiembre,    
sum( nvl(tab0.valor_base_septiembre,0) ) as valor_base_septiembre,    
sum( nvl(tab0.num_dias_septiembre,0) )as num_dias_septiembre,

sum( nvl(tab0.tarifa_octubre,0) ) as tarifa_octubre,    
sum( nvl(tab0.valor_base_octubre,0) ) as valor_base_octubre,    
sum( nvl(tab0.num_dias_octubre,0) )as num_dias_octubre,

sum( nvl(tab0.tarifa_noviembre,0) ) as tarifa_noviembre,    
sum( nvl(tab0.valor_base_noviembre,0) ) as valor_base_noviembre,    
sum( nvl(tab0.num_dias_noviembre,0) )as num_dias_noviembre,

sum( nvl(tab0.tarifa_diciembre,0) ) as tarifa_diciembre,    
sum( nvl(tab0.valor_base_diciembre,0) ) as valor_base_diciembre,    
sum( nvl(tab0.num_dias_diciembre,0) )as num_dias_diciembre, 

max( tab0.fondo_enero ) as fondo_enero,
max( tab0.fondo_febrero ) as fondo_febrero,
max( tab0.fondo_marzo ) as fondo_marzo,
max( tab0.fondo_abril ) as fondo_abril,
max( tab0.fondo_mayo ) as fondo_mayo,
max( tab0.fondo_junio ) as fondo_junio,
max( tab0.fondo_julio ) as fondo_julio,
max( tab0.fondo_agosto ) as fondo_agosto,
max( tab0.fondo_septiembre ) as fondo_septiembre,
max( tab0.fondo_octubre ) as fondo_octubre,
max( tab0.fondo_noviembre ) as fondo_noviembre,
max( tab0.fondo_diciembre ) as fondo_diciembre

FROM(

    SELECT
    tab3.id_anhos,
    tab3.id_meses,
    tab3.id_periodo,tab3.id_clase_fondo,
    tab3.id_mae_fondos,
    tab3.codigo,tab3.fondo,
    tab3.num_doc,
    tab3.id_tipo_doc,
    tab3.num_doc_mae,
    tab3.id_descuento_ss,

    /*tab3.APORTE_FUNC_PENSION,
    tab3.APORTE_PATRONO_PENSION,
    tab3.TOTAL_PENSION,
    tab3.APORTE_FUNC_SALUD,
    tab3.APORTE_PATRONO_SALUD,
    tab3.TOTAL_SALUD,
    tab3.UPC_ADICIO,
    tab3.APORTE_PATRONO_ARP,
    tab3.TOTAL_ARP,
    tab3.PARAFISCALES,
    ( nvl( tab3.APORTE_FUNC_PENSION ,0)  +  nvl( tab3.APORTE_FUNC_SALUD ,0) ) AS TOTAL_EMPLEADO,
    ( nvl( tab3.TOTAL_PENSION ,0)  +  nvl( tab3.TOTAL_SALUD ,0)  +  nvl( tab3.TOTAL_ARP ,0) +  nvl( tab3.PARAFISCALES ,0) ) AS TOTAL_APORTES,*/

    nvl( case when tab3.id_meses = 1 then nvl( tab3.aporte_func,0) else null end ,0) as valor_enero_func,
    nvl( case when tab3.id_meses = 2 then nvl( tab3.aporte_func,0) else null end ,0) as valor_febrero_func,
    nvl( case when tab3.id_meses = 3 then nvl( tab3.aporte_func,0) else null end ,0) as valor_marzo_func,
    nvl( case when tab3.id_meses = 4 then nvl( tab3.aporte_func,0) else null end ,0) as valor_abril_func,
    nvl( case when tab3.id_meses = 5 then nvl( tab3.aporte_func,0) else null end ,0) as valor_mayo_func,
    nvl( case when tab3.id_meses = 6 then nvl( tab3.aporte_func,0) else null end ,0) as valor_junio_func,
    nvl( case when tab3.id_meses = 7 then nvl( tab3.aporte_func,0) else null end ,0) as valor_julio_func,
    nvl( case when tab3.id_meses = 8 then nvl( tab3.aporte_func,0) else null end ,0) as valor_agosto_func,
    nvl( case when tab3.id_meses = 9 then nvl( tab3.aporte_func,0) else null end ,0) as valor_septiembre_func,
    nvl( case when tab3.id_meses = 10 then nvl( tab3.aporte_func,0) else null end ,0) as valor_octubre_func,
    nvl( case when tab3.id_meses = 11 then nvl( tab3.aporte_func,0) else null end ,0) as valor_noviembre_func,
    nvl( case when tab3.id_meses = 12 then nvl( tab3.aporte_func,0) else null end ,0) as valor_diciembre_func,
    nvl( tab3.aporte_func,0) as valor_total_func,

    nvl( case when tab3.id_meses = 1 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_enero_patrono,
    nvl( case when tab3.id_meses = 2 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_febrero_patrono,
    nvl( case when tab3.id_meses = 3 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_marzo_patrono,
    nvl( case when tab3.id_meses = 4 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_abril_patrono,
    nvl( case when tab3.id_meses = 5 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_mayo_patrono,
    nvl( case when tab3.id_meses = 6 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_junio_patrono,
    nvl( case when tab3.id_meses = 7 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_julio_patrono,
    nvl( case when tab3.id_meses = 8 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_agosto_patrono,
    nvl( case when tab3.id_meses = 9 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_septiembre_patrono,
    nvl( case when tab3.id_meses = 10 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_octubre_patrono,
    nvl( case when tab3.id_meses = 11 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_noviembre_patrono,
    nvl( case when tab3.id_meses = 12 then nvl( tab3.aporte_patrono,0) else null end ,0) as valor_diciembre_patrono,
    nvl( tab3.aporte_patrono,0) as valor_total_patrono,
    
    nvl( case when tab3.id_meses = 1 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_enero,    
    nvl( case when tab3.id_meses = 1 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_enero,    
    nvl( case when tab3.id_meses = 1 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_enero,
    
    nvl( case when tab3.id_meses = 2 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_febrero,    
    nvl( case when tab3.id_meses = 2 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_febrero,    
    nvl( case when tab3.id_meses = 2 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_febrero,
    
    nvl( case when tab3.id_meses = 3 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_marzo,    
    nvl( case when tab3.id_meses = 3 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_marzo,
    nvl( case when tab3.id_meses = 3 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_marzo,
    
    nvl( case when tab3.id_meses = 4 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_abril,    
    nvl( case when tab3.id_meses = 4 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_abril,    
    nvl( case when tab3.id_meses = 4 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_abril,
    
    nvl( case when tab3.id_meses = 5 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_mayo,    
    nvl( case when tab3.id_meses = 5 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_mayo,    
    nvl( case when tab3.id_meses = 5 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_mayo,
    
    nvl( case when tab3.id_meses = 6 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_junio,    
    nvl( case when tab3.id_meses = 6 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_junio,    
    nvl( case when tab3.id_meses = 6 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_junio,
    
    nvl( case when tab3.id_meses = 7 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_julio,    
    nvl( case when tab3.id_meses = 7 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_julio,    
    nvl( case when tab3.id_meses = 7 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_julio,
    
    nvl( case when tab3.id_meses = 8 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_agosto,    
    nvl( case when tab3.id_meses = 8 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_agosto,    
    nvl( case when tab3.id_meses = 8 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_agosto,
    
    nvl( case when tab3.id_meses = 9 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_septiembre,    
    nvl( case when tab3.id_meses = 9 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_septiembre,    
    nvl( case when tab3.id_meses = 9 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_septiembre,
    
    nvl( case when tab3.id_meses = 10 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_octubre,    
    nvl( case when tab3.id_meses = 10 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_octubre,    
    nvl( case when tab3.id_meses = 10 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_octubre,
    
    nvl( case when tab3.id_meses = 11 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_noviembre,    
    nvl( case when tab3.id_meses = 11 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_noviembre,    
    nvl( case when tab3.id_meses = 11 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_noviembre,
    
    nvl( case when tab3.id_meses = 12 then nvl( tab3.tarifa,0) else null end ,0) as tarifa_diciembre,    
    nvl( case when tab3.id_meses = 12 then nvl( tab3.valor_base,0) else null end ,0) as valor_base_diciembre,    
    nvl( case when tab3.id_meses = 12 then nvl( tab3.num_dias,0) else null end ,0) as num_dias_diciembre,
    
    case when tab3.id_meses = 1 then tab3.codigo || '-' || tab3.fondo else null end as fondo_enero,
    case when tab3.id_meses = 2 then tab3.codigo || '-' || tab3.fondo else null end as fondo_febrero,
    case when tab3.id_meses = 3 then tab3.codigo || '-' || tab3.fondo else null end as fondo_marzo,
    case when tab3.id_meses = 4 then tab3.codigo || '-' || tab3.fondo else null end as fondo_abril,
    case when tab3.id_meses = 5 then tab3.codigo || '-' || tab3.fondo else null end as fondo_mayo,
    case when tab3.id_meses = 6 then tab3.codigo || '-' || tab3.fondo else null end as fondo_junio,
    case when tab3.id_meses = 7 then tab3.codigo || '-' || tab3.fondo else null end as fondo_julio,
    case when tab3.id_meses = 8 then tab3.codigo || '-' || tab3.fondo else null end as fondo_agosto,
    case when tab3.id_meses = 9 then tab3.codigo || '-' || tab3.fondo else null end as fondo_septiembre,
    case when tab3.id_meses = 10 then tab3.codigo || '-' || tab3.fondo else null end as fondo_octubre,
    case when tab3.id_meses = 11 then tab3.codigo || '-' || tab3.fondo else null end as fondo_noviembre,
    case when tab3.id_meses = 12 then tab3.codigo || '-' || tab3.fondo else null end as fondo_diciembre
    
    FROM(

        select
        per.id_anhos,
        per.id_meses,
        tab1.id_periodo as id_periodo,
        tab1.id_clase_fondo,
        tab2.id_mae_fondos,
        tab2.codigo as codigo,
        tab1.num_doc,
        tab1.id_tipo_doc,
        tab2.num_doc as num_doc_mae,
        tab2.razon_social AS FONDO,
        case when tab1.id_clase_fondo =1 then tab1.aporte_func
        when tab1.id_clase_fondo = 2 then 0
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS APORTE_FUNC_PENSION,
        case when tab1.id_clase_fondo =1 then tab1.aporte_patrono + tab1.aporte_patrono_licnorem
        when tab1.id_clase_fondo = 2 then 0
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS APORTE_PATRONO_PENSION,
        case when tab1.id_clase_fondo =1 then tab1.aporte_patrono+tab1.aporte_func + tab1.aporte_patrono_licnorem
        when tab1.id_clase_fondo = 2 then 0
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS TOTAL_PENSION,

        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then tab1.aporte_func
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS APORTE_FUNC_SALUD,
        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then tab1.aporte_patrono + tab1.aporte_patrono_licnorem
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS APORTE_PATRONO_SALUD,
        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then tab1.aporte_patrono+tab1.aporte_func+tab1.upc_adicio + tab1.aporte_patrono_licnorem
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS TOTAL_SALUD,

        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then tab1.upc_adicio
        when tab1.id_clase_fondo = 3 then 0
        else 0 end AS UPC_ADICIO,

        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then 0
        when tab1.id_clase_fondo = 3 then tab1.aporte_patrono
        else 0 end AS APORTE_PATRONO_ARP,

        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then 0
        when tab1.id_clase_fondo = 3 then tab1.aporte_patrono
        else 0 end AS TOTAL_ARP,

        case when tab1.id_clase_fondo =1 then 0
        when tab1.id_clase_fondo = 2 then 0
        when tab1.id_clase_fondo = 3 then 0
        else tab1.aporte_patrono end AS PARAFISCALES,


        tab1.aporte_patrono,
        tab1.aporte_func,
        tab1.upc_adicio as upc_adicional,
        tab1.aporte_patrono_licnorem,
        nvl(foncon.id_descuento_ss,4) as id_descuento_ss,
        tab1.tarifa,
        tab1.valor_base,
        tab1.num_dias


        from no_liquida_aporte tab1

        join no_periodo per
        on per.id_periodo = tab1.id_periodo

        left join no_mae_fondos tab2 ON tab2.id_mae_fondos = tab1.id_mae_fondos
        
        left join no_fondo_concepto foncon on foncon.id_mae_fondos = tab2.id_mae_fondos and foncon.id_concep_nomina = tab1.id_concep_nomina
        /*            
        left join (

           select nom.*,
           case when tab.num_doc is not null then 1 else 0 end as pago
           from no_nombramiento_v nom

           left join (select distinct
           pago.id_tipo_doc,
           pago.num_doc
           from no_pago_func pago
           where
           (select fecha_fin from no_periodo where id_periodo = 217) between pago.fecha_activacion and nvl(pago.fecha_terminacion, (select fecha_fin from no_periodo where id_periodo = 217))
           )tab
           on tab.id_tipo_doc = nom.id_tipo_doc and tab.num_doc = nom.num_doc

        )tab0
        on tab0.id_tipo_doc = tab1.id_tipo_doc and tab0.num_doc = tab1.num_doc
        */
        --Se toman solo aportes tipo A - 20140825

        where
        tab1.tipo_planilla = 'A'
        and per.id_anhos = $id_anhos
        $whereClasePlanta

    )tab3

)tab0

join no_clase_fondo clafon
on tab0.id_clase_fondo = clafon.id_clase_fondo

join no_datos_funcionario_v dat
on dat.num_doc = tab0.num_doc
and dat.id_tipo_doc = tab0.id_tipo_doc

left join no_descuento_ss descss
on descss.id_descuento_ss = tab0.id_descuento_ss

where 
tab0.id_anhos = $id_anhos
$whereClaseFondo $whereFuncionarioTipoDoc $whereFuncionarioNumDoc

group by
tab0.id_anhos,
--tab0.id_meses,
--tab0.id_periodo,
tab0.id_clase_fondo,
clafon.codigo,
clafon.descripcion,
--tab0.id_mae_fondos,
--tab0.num_doc_mae,
--tab0.codigo, tab0.fondo,
tab0.num_doc,
tab0.id_tipo_doc,
dat.nombre_apellido,
tab0.id_descuento_ss,
descss.descripcion 

$sortBy
          
) row_ WHERE ROWNUM <=  $rowEnd   ) where rownum_ >  $rowStart
EOD;
            //ejecuta y obtiene el resultado del sql
            $resultado = CN_TABLE::executeSQL($sql);


            $this->totalRows = $total_record_count;
            $this->startRow = $rowStart;
            $this->endRow = $rowStart + count($resultado);
            $this->list_data = $resultado;
            $this->logMessage("[consol_aportes_autoliq_func] Consulta exitosa.");
        } catch (Exception $e) {

            $this->status = 1;
            $this->totalRows = 0;
            $this->startRow = 0;
            $this->endRow = 0;
            $this->list_data = array();
            $this->logMessage("ERROR!!!");
            $this->logMessage($e->getMessage());
        }
    }

}
